#ifndef LIGHT_POINT_H
#define LIGHT_POINT_H

#include "light.h"

namespace CBK
{
	namespace Lights
	{
		class Point : public Light
		{
		public:
			Point(IDirect3DDevice9* device = 0);
			virtual ~Point(void);

			Point& setAttenuation(const float& constant, const float& linear, const float& quadratic);
			Point& setFalloff(const float& falloff);
			Point& setPosition(const D3DVECTOR& position);

		protected:

		private:
		};
	}
}

#endif //LIGHT_POINT_H